TPMFACTORYUPD(1)

NAME
TPMFactoryUpd - manual page for TPMFactoryUpd

SYNOPSIS

TPMFactoryUpd [parameter] [parameter] ... -info

DESCRIPTION

TPMFactoryUpd is a tool for manipulating the Trusted Platform Module. The Trusted Platform Module (TPM) is an international standard for a secure cryptoprocessors that can securely store critical data such as passwords, certificates and encryption keys. TPM is a dedicated microcontroller designed to secure hardware by integrating cryptographic keys into devices and is used for secured crypto processes within computing devices as well as for secured storage of critical data.

Parameters

-? or -help

    Displays a short help page for the operation of TPMFactoryUpd. Cannot be used with any other parameter.

-info

    Displays TPM information related to TPM Firmware Update. Cannot be used with -update, -firmware, -config or -tpm12-clearownership parameter.

-update <update-type>

    Updates a TPM with <update-type>. Possible values for <update-type> are:

    tpm12-PP - TPM1.2 with Physical Presence or Deferred Physical Presence.

    tpm12-takeownership - TPM1.2 with TPM Ownership taken by TPMFactoryUpd.

    tpm20-emptyplatformauth - TPM2.0 with platformAuth set to Empty Buffer.

    config-file - Updates either a TPM1.2 or TPM2.0 to the firmware version configured in the configuration file. Requires the -config parameter. Cannot be used with -info or -tpm12-clearownership parameter.

-firmware <firmware-file>

    Specifies the path to the firmware image to be used for TPM Firmware Update. Required if -update parameter is given with values tpm*. Cannot be used with -info, -config or -tpm12-clearownership parameter.

-config <config-file>

    Specifies the path to the configuration file to be used for TPM Firmware Update. Required if -update parameter is given with value config-file. Cannot be used with -info, -firmware or -tpm12-clearownership parameter.

-log [<log-file>]

    Optional parameter. Activates logging for TPMFactoryUpd to the log file specified by <log-file>. Default value ./TPMFactoryUpd.log is used if <log-file> is not given. Note: total path and file name length must not exceed 260 characters

-tpm12-clearownership

    Clears the TPM Ownership taken by TPMFactoryUpd. Cannot be used with -info, -update, -firmware or -config parameter.

-access-mode <mode> <path>

    Optional parameter. Sets the mode that the tool uses for connecting to the TPM device. Possible values for <mode> are:

    1 - Memory based access (default value, only supported on x86 based systems with PCH TPM support)

    3 - Linux TPM driver. The <path> option can be set to define a device path (default value: /dev/tpm0)

-dry-run

    Optional parameter. Do everything except for actually updating the image.

-ignore-error-on-complete

    Optional parameter. Ignores TPM_FAIL errors from FieldUpgradeComplete.

AUTHOR

Infineon Technologies AG.

COPYRIGHT
Copyright © 2014 - 2017 Infineon Technologies AG